# $Revision: 1.2 $, $Date: 2002/09/20 11:10:44 $
Summary:	Wireless network sniffer
Summary(pl):	Sniffer sieci bezprzewodowych
Name:		kismet
Version:	2.4.6
Release:	1
License:	GPL
Group:		Networking/Utilities
Source0:	http://www.kismetwireless.net/code/%{name}-%{version}.tar.gz
Patch0:		%{name}-misc_fix.patch
URL:		http://www.kismetwireless.net/
BuildRequires:	ImageMagick-devel
BuildRequires:	XFree86-devel
BuildRequires:	expat-devel
BuildRequires:	libpcap-devel
BuildRequires:	ncurses-devel
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
Kismet is a 802.11b wireless network sniffer. It is capable of
sniffing using almost any wireless card supported in Linux, including
Prism2 based cards supported by the Wlan-NG project (Linksys, Dlink,
Rangelan, etc), cards which support standard packet capture via
libpcap (Cisco), and limited support for cards without RF Monitor
support.

%description -l pl
Kismet to sniffer bezprzewodowych sieci 802.11b. Jest zdolny do
sniffowania uywajc prawie dowolnych bezprzewodowych kart sieciowych
w Linuxie wczajc w to karty Prism2 wspierane przez projekt Wlan-NG
(Linksys, Dlink, Rangelan, etc), kart ktre umoliwiaj
przechwytywanie pakietw poprzez libpcap (Cisco), oraz ograniczone
wsparcie dla kart bez obsugi Monitora RF.

%prep
%setup -q
%patch0 -p1

%build
cp Makefile.in Makefile.new
sed -e 's#-o root##g' Makefile.new > Makefile.in
%configure \
	CPPFLAGS="-I%{_includedir}/X11 -I/usr/include/ncurses" \
%ifarch arm
	--enable-zaurus \
%endif
	--enable-syspcap
%{__make} dep all

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_bindir},%{_datadir}}

%{__make} install \
	INSTGRP=$(id -g) \
	MANGRP=$(id -g) \
	prefix=$RPM_BUILD_ROOT%{_prefix} \
	exec_prefix=$RPM_BUILD_ROOT%{_prefix} \
	ETC=$RPM_BUILD_ROOT%{_sysconfdir} \
	BIN=$RPM_BUILD_ROOT%{_bindir} \
	SHARE=$RPM_BUILD_ROOT%{_datadir}/%{name} \
	MAN=$RPM_BUILD_ROOT%{_mandir}
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc docs/* CHANGELOG FAQ README
%attr(755,root,root) %{_bindir}/*
%{_datadir}/%{name}
%{_mandir}/man?/*
%config(noreplace) %{_sysconfdir}/%{name}*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: kismet.spec,v $
Revision 1.2  2002/09/20 11:10:44  ankry
- fixed source URL

Revision 1.1  2002/09/04 18:52:24  misiek
- initial pld release
